# ACE_DLList< T > Class Template Reference

A double-linked list container class. More...

`#include <Containers_T.h>`

Inheritance diagram for ACE_DLList< T >:

[legend]
Collaboration diagram for ACE_DLList< T >:

[legend]
List of all members.

## Public Member Functions

void | operator= (const ACE_DLList< T > &l)
| Delegates to ACE_Double_Linked_List.
T * | insert_tail (T *new_item)
| Delegates to ACE_Double_Linked_List.
T * | insert_head (T *new_item)
| Delegates to ACE_Double_Linked_List.
T * | delete_head (void)
| Delegates to ACE_Double_Linked_List.
T * | delete_tail (void)
| Delegates to ACE_Double_Linked_List.
int | get (T *&item, size_t slot=0)
void | dump (void) const
| Delegates to ACE_Double_Linked_List.
int | remove (ACE_DLList_Node *n)
| Delegates to ACE_Double_Linked_List.
| ACE_DLList (ACE_Allocator *the_allocator=0)
| Delegates to ACE_Double_Linked_List.
| ACE_DLList (const ACE_DLList< T > &l)
| Delegates to ACE_Double_Linked_List.
| ~ACE_DLList (void)
| Deletes the list starting from the head.

## Friends

class | ACE_DLList_Node
class | ACE_Double_Linked_List_Iterator<T>
class | ACE_DLList_Iterator<T>
class | ACE_DLList_Reverse_Iterator<T>

## Detailed Description

### template<class T>
class ACE_DLList< T >

A double-linked list container class.

This implementation uses ACE_Double_Linked_List to perform the logic behind this container class. It delegates all of its calls to ACE_Double_Linked_List.

## Constructor & Destructor Documentation

template<class T>
ACE_INLINE ACE_DLList< T >::ACE_DLList | ( | ACE_Allocator * | the_allocator = `0` | ) |

| Delegates to ACE_Double_Linked_List.

template<class T>
ACE_INLINE ACE_DLList< T >::ACE_DLList | ( | const ACE_DLList< T > & | l | ) |

| Delegates to ACE_Double_Linked_List.

template<class T>
ACE_INLINE ACE_DLList< T >::~ACE_DLList | ( | void |  | ) |

| Deletes the list starting from the head.

## Member Function Documentation

template<class T>
T * ACE_DLList< T >::delete_head | ( | void |  | ) |

| Delegates to ACE_Double_Linked_List. Reimplemented from ACE_Double_Linked_List< ACE_DLList_Node >.

template<class T>
T * ACE_DLList< T >::delete_tail | ( | void |  | ) |

| Delegates to ACE_Double_Linked_List. Reimplemented from ACE_Double_Linked_List< ACE_DLList_Node >.

template<class T>
ACE_INLINE void ACE_DLList< T >::dump | ( | void |  | ) | const

| Delegates to ACE_Double_Linked_List. Reimplemented from ACE_Double_Linked_List< ACE_DLList_Node >.

template<class T>
ACE_INLINE int ACE_DLList< T >::get | ( | T *& | item,
|  | size_t | slot = `0`
| ) |

| Delegates to {ACE_Double_Linked_List}, but where {ACE_Double_Linked_List} returns the node as the item, this get returns the contents of the node in item.

template<class T>
T * ACE_DLList< T >::insert_head | ( | T * | new_item | ) |

| Delegates to ACE_Double_Linked_List.

template<class T>
T * ACE_DLList< T >::insert_tail | ( | T * | new_item | ) |

| Delegates to ACE_Double_Linked_List.

template<class T>
ACE_INLINE void ACE_DLList< T >::operator= | ( | const ACE_DLList< T > & | l | ) |

| Delegates to ACE_Double_Linked_List.

template<class T>
ACE_INLINE int ACE_DLList< T >::remove | ( | ACE_DLList_Node * | n | ) |

| Delegates to ACE_Double_Linked_List. Reimplemented from ACE_Double_Linked_List< ACE_DLList_Node >.

## Friends And Related Function Documentation

template<class T>
friend class ACE_DLList_Iterator<T>`[friend]`

template<class T>
friend class ACE_DLList_Node `[friend]`

template<class T>
friend class ACE_DLList_Reverse_Iterator<T>`[friend]`

template<class T>
friend class ACE_Double_Linked_List_Iterator<T>`[friend]`

| Reimplemented from ACE_Double_Linked_List< ACE_DLList_Node >.

The documentation for this class was generated from the following files:

- Containers_T.h
- Containers_T.cpp
- Containers_T.inl